
-- DROP TABLE tl_assessment_template;




CREATE TABLE tl_assessment_template (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    template_name varchar2(100) NOT NULL,
    user_id number(12)  NULL
    );



ALTER TABLE tl_assessment_template ADD    
    CONSTRAINT PK_tl_assessment_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
        CREATE UNIQUE INDEX idx_tl_assessment_template_TemplateName ON 
        tl_assessment_template (template_name, user_id);
    